libgdamm: Gnome::Gda::HandlerString Class Reference

# Gnome::Gda::HandlerString Class Reference
[Data Handlers]

Default handler for strings. More...

Inherits Glib::Object, and Gnome::Gda::DataHandler.

Collaboration diagram for Gnome::Gda::HandlerString:

[legend]

List of all members.

## Public Member Functions
virtual | ~HandlerString ()
GdaHandlerString* | gobj ()
| Provides access to the underlying C GObject.
const GdaHandlerString* | gobj () const
| Provides access to the underlying C GObject.
GdaHandlerString* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Static Public Member Functions
static Glib::RefPtr < HandlerString > | create ()
## Protected Member Functions
| HandlerString ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gnome::Gda::HandlerString > | wrap (GdaHandlerString* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Default handler for strings.

## Constructor & Destructor Documentation

virtual Gnome::Gda::HandlerString::~HandlerString | ( |  | ) | `[virtual]`

Gnome::Gda::HandlerString::HandlerString | ( |  | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<HandlerString> Gnome::Gda::HandlerString::create | ( |  | ) | `[static]`

const GdaHandlerString* Gnome::Gda::HandlerString::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::DataHandler.

GdaHandlerString* Gnome::Gda::HandlerString::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gnome::Gda::DataHandler.

GdaHandlerString* Gnome::Gda::HandlerString::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr< Gnome::Gda::HandlerString > wrap | ( | GdaHandlerString * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgdamm/handlerstring.h